# Get HSCode Details

## /hs-codes/:hs\_code\_id

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/hs-codes/:hs_code_id`

This endpoint allows you to retrieve the details of a specific hs code.

#### Path Parameters

| Name                                           | Type   | Description                |
| ---------------------------------------------- | ------ | -------------------------- |
| hs\_code\_id<mark style="color:red;">\*</mark> | string | Unique ***hs\_code\_id***. |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 HsCode retrieved successfully." %}

```json
{
    "status": true,
    "message": "HSCode retreived successfully",
    "data": [{
        "_id": "641d65dfd1b41ab967642832",
        "chapter": "90",
        "category": "Optical fibres and optical fibre bundles; optical fibre cables (excl. made up of individually sheathed fibres of heading 8544); sheets and plates of polarising material; lenses, incl. contact lenses, prisms, mirrors and other optical elements of any material, unmounted (excl. such elements of glass not optically worked)",
        "category_code": "9001",
        "sub_category": "Optical fibres, optical fibre bundles and cables (excl. made up of individually sheathed fibres of heading 8544)",
        "hs_code": "900110",
        "hs_code_id": "HS-91033501933",
        "__v": 0
    }]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/hs-codes/get-hs-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
